Webhooks

Delete a webhook

Remove a webhook endpoint. Pending deliveries to it are dropped.

DELETE https://u2l.ai/api/v1/webhooks/{id}

Authorizations

Authorizationstringrequired

Bearer authentication header of the form Bearer <token>, where <token> is your U2L API key (u2l_live_...). Create one in the dashboard under Settings > API.

Path Parameters

idstringrequired

Response 200

messagestring

Errors

401 Error
404 Error

See Rate Limits & Errors for the error envelope and per-plan limits.

curl -X DELETE https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96 \
  -H "Authorization: Bearer u2l_live_your_api_key"
const response = await fetch("https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer u2l_live_your_api_key",
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.delete(
    "https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96",
    headers={"Authorization": "Bearer u2l_live_your_api_key"},
)

print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("DELETE", "https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96", nil)
	req.Header.Set("Authorization", "Bearer u2l_live_your_api_key")
	res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
{
  "message": "Webhook deleted successfully"
}